Loading...
Searching...
No Matches
stats_statsd.c File Reference
Statistics reporting
`#include "config.h"`
`#include <osmocom/core/stats.h>`
`#include <string.h>`
`#include <stdint.h>`
`#include <inttypes.h>`
`#include <errno.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/rate_ctr.h>`
`#include <osmocom/core/stat_item.h>`
`#include <osmocom/core/msgb.h>`

## Functions

static int | osmo_stats_reporter_statsd_send_counter (struct osmo_stats_reporter *srep, const struct rate_ctr_group *ctrg, const struct rate_ctr_desc *desc, int64_t value, int64_t delta)
static int | osmo_stats_reporter_statsd_send_item (struct osmo_stats_reporter *srep, const struct osmo_stat_item_group *statg, const struct osmo_stat_item_desc *desc, int64_t value)
struct osmo_stats_reporter * | osmo_stats_reporter_create_statsd (const char *name)
| Create a stats_reporter reporting to statsd.
static void | osmo_stats_reporter_sanitize_name (char *buf)
| Replace all illegal ':' in the stats name, but not when used as value seperator.
static int | osmo_stats_reporter_statsd_send (struct osmo_stats_reporter *srep, const char *name1, const char *index1, const char *name2, int64_t value, const char *unit)